// defines for English language

// Menu entries
#define FILE_MENU "&File"
#define FILE_NEW "&New"
#define FILE_OPEN "&Open"
#define FILE_FIND_INTERNET "&Find on Internet"
#define FILE_SAVE "&Save"
#define FILE_SAVE_AS "&Save as..."
#define FILE_SAVE_PICTURE "Save picture..."
#define FILE_PAGE_SETUP "Pa&ge setup..."
#define FILE_PRINT "&Print"
#define FILE_CLOSE "&Close"
#define FILE_QUIT "&Quit"

#define EDIT_MENU "&Edit"
#define EDIT_UNDO "&Undo"
#define EDIT_CUT "Cu&t"
#define EDIT_COPY "&Copy"
#define EDIT_PASTE "&Paste"
#define EDIT_CLEAR "&Clear"
#define EDIT_SELECT_ALL "Select &All"
#define EDIT_ROTATE "&Rotate"
#define EDIT_ROTATE_90CW "Rotate 90 degrees clockwise"
#define EDIT_ROTATE_180 "Rotate 180 degrees"
#define EDIT_ROTATE_90CCW "Rotate 90 degrees counterclockwise"
#define EDIT_FLIP "&Flip"
#define EDIT_FLIP_H "Flip &horizontal"
#define EDIT_FLIP_V "Flip &vertical"

#define FORMAT_MENU "Forma&t"
#define FORMAT_FIXED "Fixed &length and angle"
#define FORMAT_SETFIXED "&Set fixed length and angle"
#define FORMAT_BACKGROUND "Set &background color"

#define TOOLS_MENU "Tools"
#define TOOLS_AUTOLAYOUT "Auto layout"
#define TOOLS_CALC_EF "Calculate empirical formula"
#define TOOLS_CALC_MW "Calculate molecular weight"
#define TOOLS_EA "Elemental analysis"
#define TOOLS_13CNMR "Predict 13C NMR"
#define TOOLS_IR "Predict IR"

#define HELP_MENU "&Help"
#define HELP_MANUAL "&Manual"
#define HELP_ABOUT "&About..."
#define HELP_REF "&References"

// "Tool tips" which appear when mouse is over a button
// objects at top of drawing area:
#define TOOLTIP_OPEN_FILE "Open file"
#define TOOLTIP_SAVE_FILE "Save file"
#define TOOLTIP_PRINT_FILE "Print file"
#define TOOLTIP_CUT "Cut"
#define TOOLTIP_COPY "Copy"
#define TOOLTIP_PASTE "Paste"
#define TOOLTIP_SET_COLOR "Set drawing color"
#define TOOLTIP_SET_THICKNESS "Set line thickness"
#define TOOLTIP_SET_FONT "Set font"
#define TOOLTIP_SET_FONT_SIZE "Set font size"
#define TOOLTIP_BOLD "Make selected text <b>bold</b>"
#define TOOLTIP_ITALIC "<i>Italicize</i> selected text"
#define TOOLTIP_UNDERLINE "Underline selected text"
#define TOOLTIP_SUPERSCRIPT "Superscript selected text"
#define TOOLTIP_SUBSCRIPT "Subscript selected text"
#define TOOLTIP_SELECT "Select"
#define TOOLTIP_ERASE "Erase"
#define TOOLTIP_LINE "Draw line"
#define TOOLTIP_DASH_LINE "Draw dashed line"
#define TOOLTIP_UPLINE "Draw stereo-up line"
#define TOOLTIP_DOWNLINE "Draw stereo-down line"
#define TOOLTIP_ARROW "Draw arrow"
#define TOOLTIP_CURVEARROW "Draw curved arrow"
#define TOOLTIP_BRACKET "Draw bracket"
#define TOOLTIP_TEXT "Draw or edit text"
#define TOOLTIP_RING "Draw ring"
#define TOOLTIP_SYMBOL "Draw symbol"

// What's This? text.  Appears when user clicks "What's This?", then clicks
// on a button or menu item.
#define FILE_OPEN_TEXT "Click this button to open a file. <br><br>"\
"You can also select the Open command from the File menu."
#define FILE_SAVE_TEXT "Click this button to save the file you are editing.<br><br>You can also select the Save command from the File menu.<br><br>"
#define FILE_PRINT_TEXT "Click this button to print the file you are editing.<br><br>You can also select the Print command from the File menu."
#define EDIT_CUT_TEXT "Click this button to cut a selection.<br><br>You can also select the Cut command from the Edit menu, or press Ctrl+X."
#define EDIT_COPY_TEXT "Click this button to copy a selection.<br><br>You can also select the Copy command from the Edit menu, or press Ctrl+C."
#define EDIT_PASTE_TEXT "Click this button to paste a selection.<br><br>You can also select the Paste command from the Edit menu, or press Ctrl+V."

#define SELECT_TOOL_TEXT "Select tool<br><br>Use the Select tool to select and move items.<br><br>You can select multiple items and cut, copy, move and rotate them."
#define ERASE_TOOL_TEXT "Erase tool<br><br>Use the Erase tool to erase individual items."
#define LINE_TOOL_TEXT "Line tool<br><br>Use the Line tool to draw bonds.  Draw over existing bonds to create double and triple bonds."
#define DASH_LINE_TOOL_TEXT "Dashed Line tool<br><br>Use the Dashed Line tool to draw dashed lines.  Draw over existing bonds to add dashed lines (to indicate resonance, etc.)."
#define UP_LINE_TOOL_TEXT "Stereo Up Line tool<br><br>Use the Line tool to draw stereo-up lines, as shown on the button."
#define DOWN_LINE_TOOL_TEXT "Stereo Down Line tool<br><br>Use the Line tool to draw stereo-down lines, as shown on the button."
#define ARROW_TOOL_TEXT "Arrow tool<br><br>Use the Arrow tool to draw straight arrows.<br><br>Click to draw a straight arrow.<br><br>Click and hold to pick from a list of available arrows."
#define CURVE_ARROW_TOOL_TEXT "Curved Arrow tool<br><br>Use the Curved Arrow tool to insert curved arrows.<br><br>Click and hold to select from a picture menu of arrows."
#define BRACKET_TOOL_TEXT "Bracket tool<br><br>Use the Bracket tool to draw brackets and parentheses.<br><br>Click to draw square brackets.<br><br>Click and hold to select from a picture menu of brackets."
#define TEXT_TOOL_TEXT "Text tool<br><br>Use the Text tool to add text and label atoms and points.<br>(See manual for info on formatting text)"
#define RING_TOOL_TEXT "Ring tool<br><br>Use the Ring tool to insert ready-made rings and structures.<br><br>Click to open the ring dialog, which allows selection from a list of all built-in rings and structures.<br><br>Click and hold to select from a picture menu of select rings.<br>(See manual for more info on modifying this menu)"
#define SYMBOL_TOOL_TEXT "Symbol tool<br><br>Use the Symbol tool to insert symbols.<br><br>Click and hold to select from a picture menu of symbols.<br>"

// dialog boxes
// button labels
#define BUTTON_OK "OK"
#define BUTTON_CANCEL "Cancel"

// page setup
#define TEXT_PAGE_SETUP "Page Setup"
#define TEXT_PAPER_SIZE "Paper size:"
#define TEXT_PAPER_ORIENT "Orientation:"

// ring
#define TEXT_RING_DIALOG "Ring tool"
#define TEXT_RING_CHOOSE "Choose a structure from list:"

// fixed length
#define TEXT_SET_FIXED "Set Fixed Angle and Length"
#define TEXT_SET_ANGLE "Fixed angle:"
#define TEXT_SET_LENGTH "Fixed length:"

// Net dialog
#define NETDIALOG_TITLE "Find stucture via Internet"
#define NETDIALOG_SERVER "XDC database server:"
#define NETDIALOG_SEARCH_TYPE "Search type:"
#define NETDIALOG_LOOK_FOR "Look for:"
#define NETDIALOG_CAS_NUMBER "CAS Number"
#define NETDIALOG_FORMULA "Formula"
#define NETDIALOG_NAME "Chemical name"
#define NETDIALOG_EXACT "Exact matches only"
#define NETDIALOG_SEARCH "Search"

// net choose dialog (netchoosedialog.cpp)
#define NCD_TITLE "Choose molecule"
#define NCD_CAPTION "Select a molecule:"
#define NCD_CAS "CAS number"
#define NCD_FORMULA "Formula"
#define NCD_NAME "Chemical name"
#define BUTTON_SELECT "Select"
